Skip to main content
GET
/
v1
/
transactions
List transactions
curl --request GET \
  --url https://api.ledger.so/v1/transactions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.ledger.so/v1/transactions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.ledger.so/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ok": true,
  "data": [
    {
      "id": "<string>",
      "customerId": "<string>",
      "type": "<string>",
      "status": "<string>",
      "amount": "<string>",
      "sourceCurrency": "<string>",
      "destinationCurrency": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "destinationAddress": "<string>",
      "payoutAccountId": "<string>",
      "finalAmount": "<string>",
      "destinationTxHash": "<string>",
      "gasFee": "<string>",
      "exchangeFee": "<string>"
    }
  ],
  "nextCursor": "<string>"
}
{
"ok": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid API key"
}
}
{
"ok": false,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests"
}
}
{
"ok": false,
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred"
}
}

Authorizations

Authorization
string
header
required

Pass your API key as a Bearer token: Authorization: Bearer ld_live_...

Query Parameters

cursor
string

Pagination cursor from a previous response's nextCursor

limit
integer
default:50

Maximum number of items to return (1-200, default 50)

Required range: 1 <= x <= 200
customerId
string

Filter by customer ID

type
string

Filter by transaction type

Response

Transaction list

ok
enum<boolean>
required
Available options:
true
data
object[]
required
nextCursor
string | null